BasicTreeUI.TreeHomeAction (Java SE 9 & JDK 9 )
Keywords: javax.swing.plaf.basic.BasicTreeUI.TreeHomeAction class

Module java.desktop
Package javax.swing.plaf.basic

## Class BasicTreeUI.TreeHomeAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.plaf.basic.BasicTreeUI.TreeHomeAction

- All Implemented Interfaces:
    `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`
  Enclosing class:
    BasicTreeUI

      public class BasicTreeUI.TreeHomeAction
      extends AbstractAction

  TreeHomeAction is used to handle end/home actions. Scrolls either the first or last cell to be visible based on direction.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `direction` | The direction.

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TreeHomeAction​(int direction, String name)` | Constructs a new instance of `TreeHomeAction`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `actionPerformed​(ActionEvent e)` | Invoked when an action occurs.
    `boolean` | `isEnabled​()` | Returns true if the action is enabled.

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from interface javax.swing.Action

      `accept`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### direction

          protected int direction

      The direction.

  - ### Constructor Detail

    - #### TreeHomeAction

          public TreeHomeAction​(int direction,
                                String name)

      Constructs a new instance of `TreeHomeAction`.
      Parameters:
        `direction` - the direction
        `name` - the name of action

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed​(ActionEvent e)

      Description copied from interface: `ActionListener`
      Invoked when an action occurs.
      Parameters:
        `e` - the event to be processed

    - #### isEnabled

          public boolean isEnabled​()

      Description copied from class: `AbstractAction`
      Returns true if the action is enabled.
      Specified by:
        `isEnabled` in interface `Action`
      Overrides:
        `isEnabled` in class `AbstractAction`
      Returns:
        true if the action is enabled, false otherwise
      See Also:
        `Action.isEnabled()`